> ## Documentation Index
> Fetch the complete documentation index at: https://uiform-codex-generated-frontend-snippets.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Table CSV

Download the CSV backing a table.

```python Python theme={null}
csv_bytes = client.tables.download(table_id="workflow_table_123")
```

```typescript TypeScript theme={null}
const csv = await client.tables.download("workflow_table_123");
```

```go Go theme={null}
err := client.Tables.Download(ctx, "workflow_table_123")
```

```java Java theme={null}
// Download the CSV backing a table.
```

```bash cURL theme={null}
curl https://api.retab.com/v1/tables/workflow_table_123/download \
  -H "Authorization: Bearer $RETAB_API_KEY" \
  -o carriers.csv
```


## OpenAPI

````yaml GET /v1/tables/{table_id}/download
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/tables/{table_id}/download:
    get:
      tags:
        - Tables
      summary: Table.Download
      operationId: download_table_csv
      parameters:
        - in: path
          name: table_id
          required: true
          schema:
            type: string
            title: Table Id
      responses:
        '200':
          description: Successful Response
          content:
            text/csv:
              schema:
                type: string
                format: binary
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````